import { T as ThemeInput, B as BuiltinThemes, L as LanguageInput, a as BuiltinLanguages, C as CodeToHtmlOptions } from './types/langs.mjs';
export { A as Awaitable, E as ElementsOptions, H as HtmlRendererOptions, f as LanguageRegistration, g as LineOption, e as MaybeArray, M as MaybeGetter, d as MaybeModule, S as StringLiteralUnion, i as ThemeRegisteration, h as ThemeRegisterationRaw, b as bundledLanguages, c as bundledThemes } from './types/langs.mjs';
export { getWasmInlined } from './wasm.mjs';
export { HighlighterCore, HighlighterCoreOptions, getHighlighterCore, loadWasm } from './core.mjs';

interface HighlighterOptions {
    themes?: (ThemeInput | BuiltinThemes)[];
    langs?: (LanguageInput | BuiltinLanguages)[];
}
type Highlighter = Awaited<ReturnType<typeof getHighlighter>>;
declare function getHighlighter(options?: HighlighterOptions): Promise<{
    codeToHtml(code: string, options?: CodeToHtmlOptions<BuiltinLanguages, BuiltinThemes>): string;
    loadLanguage(...langs: (LanguageInput | BuiltinLanguages)[]): Promise<void>;
    loadTheme(...themes: (ThemeInput | BuiltinThemes)[]): Promise<void>;
    codeToThemedTokens: (code: string, lang?: string, theme?: string | undefined, options?: {
        includeExplanation: boolean;
    }) => {
        content: string;
    }[][];
    getLoadedThemes: () => string[];
    getLoadedLanguages: () => string[];
}>;

export { BuiltinLanguages, BuiltinThemes, CodeToHtmlOptions, Highlighter, HighlighterOptions, LanguageInput, ThemeInput, getHighlighter };
